
<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body >
	
	
	
	
<?php 
include ("../conexion.php");
 date_default_timezone_set('America/Costa_Rica');
 
 
        $parametros = "SELECT * FROM web_0000 ";
       $result_parametros = $mysqli->query($parametros);
       $row_para = $result_parametros->fetch_array();
     
	   $actprodia =  $row_para["actprodia"];
	   
	   
	   
 
echo  $codfacturatmp=$_GET["codfacturatmp"];
echo  $cliexe=$_GET["cliexento"];
echo   $cdgcli=$_GET["cdgcli"];

echo   $fechaproforma=$_GET["fechaproforma"];


$fecha_actual=date("Y-m-d");

//$fechaproforma = date("Y-m-d",strtotime ( '-1 day' , strtotime ( $fechaproforma) ) );


$vencimiento = new DateTime($fechaproforma);
$fecha_actual = new DateTime($fecha_actual);
$diferencia = $vencimiento->diff($fecha_actual);
$diferencia=$diferencia->format('%a');



if( $diferencia > $actprodia ){


?>

<script languaje="javascript">
alert("Atencion, La proforma sera Actualizada");	
</script>

<?php 


 $consulta = "SELECT * FROM web_0301 WHERE cdgcli='$cdgcli'";
$resultado = $mysqli->query($consulta);
$fila = $resultado->fetch_array();
$tippre= $fila["TIPPRE"];
$dsccli= $fila["DSCCLI"];

$contador=0;
	
	$preivi2=0;
	$baseimp=0;
	$baseiva=0;
	$basedescuento=0;
	
			
	$consulta = "SELECT proforlineastmp.*,web_1001.* FROM proforlineastmp,web_1001 WHERE proforlineastmp.codfactura=$codfacturatmp AND proforlineastmp.codigo=web_1001.cdgbar ORDER BY proforlineastmp.numlinea ASC";

if ($resultado = $mysqli->query($consulta)) 


    while ($fila2 = $resultado->fetch_assoc()) {
		

        $numlinea = $fila2["numlinea"];
        $cdgbar = $fila2["codigo"];
        $dscart = $fila2["dscart"];
		$cantidad = $fila2["cantidad"];
		$preivi = $fila2["preivi"];
		$importe = $fila2["importe"];
		$impuesto = $fila2["impuesto"];
		$mondes = $fila2["mondes"];
		$cob_iv = $fila2["COB_IV"];
		$desmin= $fila2["desmin"];
     	$desmax= $fila2["desmax"];
		$tipart= $fila2["tipart"];
		$descuento= $fila2["dcto"];
		$ivporc= $fila2["ivporc"]/100+1;
		
		
	if ($tippre==1) { 
	$preivi=$fila2["PRE001"]/$ivporc;
	 } elseif ($tippre==2) {
	$preivi=$fila2["PRE002"]/$ivporc;
	 } elseif ($tippre==3) {
	$preivi=$fila2["PRE002"]/$ivporc;
	  }
	
	
	if ($cob_iv == 1) { $paga_impuesto="S"; } else { $paga_impuesto="N"; }
	
	$importe=$cantidad*$preivi;
	$mondes=$importe*$descuento/100;
	$subtotal=$cantidad*$preivi;
	
	if ($cliexe == 1 ){
		 
		 	if ($cob_iv == 1 ){
				
	$importe=$importe-$mondes;	
	$monto_impuesto=$importe*$ivporc;
	$impuesto=$monto_impuesto-$importe;
			
			} else {
	$importe=$importe-$mondes;	
	$impuesto=0;
			}
	
	} else {
		$importe=$importe-$mondes;	
		$impuesto=0;	
	}
	
	
	
	$preivi2=$importe+$impuesto;
	$baseimp=$importe+$baseimp;
	$baseiva=$impuesto+$baseiva;
	$basedescuento=$basedescuento+$mondes;


$consulta5 = "SELECT tipart FROM web_1001 WHERE cdgbar='$cdgbar'  ";
$resultado5 = $mysqli->query($consulta5);
$fila5 = $resultado5->fetch_array();

        $tipart = $fila5["tipart"];

	if ($tipart<>2){	
	$sel_act3="UPDATE   proforlineastmp SET  preivi='$preivi' , importe='$subtotal', dcto='$descuento',mondes='$mondes', impuesto='$impuesto', tipart='$tipart' WHERE codfactura=$codfacturatmp and codigo='$cdgbar' and numlinea=$numlinea ";
	$mysqli->query($sel_act3);
}
	
		




}

}

?>

					<script languaje="javascript">
				parent.document.getElementById("formulario_lineas").submit();	
		</script>


	</body>
</html>